Index: trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp
===================================================================
--- trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp	(revision 461)
+++ trunk/ab5.0/abdev/BasicCompiler_Common/src/Class.cpp	(revision 465)
@@ -199,5 +199,5 @@
 		const CClass *pInheritsClass = compiler.GetObjectModule().meta.GetClasses().Find(className);
 		if( !pInheritsClass ){
-			SetError(106,className,nowLine);
+			compiler.errorMessenger.Output(106,className,nowLine);
 			return false;
 		}
@@ -212,5 +212,5 @@
 		}
 		else{
-			SetError(135,pInheritsClass->GetFullName().c_str(),nowLine);
+			compiler.errorMessenger.Output(135,pInheritsClass->GetFullName().c_str(),nowLine);
 			return false;
 		}
@@ -236,5 +236,5 @@
 	if( !compiler.GetObjectModule().meta.GetClasses().LoopRefCheck(inheritsClass) )
 	{
-		SetError(123,inheritsClass.GetName(),nowLine);
+		compiler.errorMessenger.Output(123,inheritsClass.GetName(),nowLine);
 		return false;
 	}
@@ -296,5 +296,5 @@
 	{
 		// インターフェイスではないとき
-		SetError(138,interfaceClass.GetName().c_str(),nowLine );
+		compiler.errorMessenger.Output(138,interfaceClass.GetName().c_str(),nowLine );
 		return false;
 	}
@@ -379,5 +379,5 @@
 		const CClass *pInterfaceClass = compiler.GetObjectModule().meta.GetClasses().Find( className );
 		if( !pInterfaceClass ){
-			SetError(106,paramStr.c_str(),nowLine);
+			compiler.errorMessenger.Output(106,paramStr.c_str(),nowLine);
 			continue;
 		}
@@ -404,5 +404,5 @@
 	//重複チェック
 	if(this->DupliCheckAll(VarName)){
-		SetError(15,VarName,cp);
+		compiler.errorMessenger.Output(15,VarName,cp);
 	}
 
@@ -466,5 +466,5 @@
 		//デストラクタの場合はその名前が正しいかチェックを行う
 		if(lstrcmp(temporary+1,pobj_c->GetName().c_str())!=0)
-			SetError(117,NULL,nowLine);
+			compiler.errorMessenger.Output(117,NULL,nowLine);
 		else
 			bDestructor=1;
@@ -489,5 +489,5 @@
 
 	if(pobj_c->DupliCheckMember(temporary)){
-		SetError(15,temporary,nowLine);
+		compiler.errorMessenger.Output(15,temporary,nowLine);
 		return;
 	}
@@ -502,5 +502,5 @@
 		{
 			//関数名、パラメータ、戻り値が合致したとき
-			SetError(15,pUserProc->GetName().c_str(),nowLine);
+			compiler.errorMessenger.Output(15,pUserProc->GetName().c_str(),nowLine);
 			return;
 		}
@@ -549,5 +549,5 @@
 	if( interfaceName[0] )
 	{
-		SetError(139,interfaceName,nowLine);
+		compiler.errorMessenger.Output(139,interfaceName,nowLine);
 	}
 
@@ -557,5 +557,5 @@
 
 	if( isOverride ){
-		SetError(12,"Override",nowLine);
+		compiler.errorMessenger.Output(12,"Override",nowLine);
 	}
 
@@ -757,5 +757,5 @@
 				if( !pMember->GetType().IsStruct() )
 				{
-					SetError();
+					compiler.errorMessenger.OutputFatalError();
 				}
 
@@ -863,5 +863,5 @@
 				if( !pMember->GetType().IsStruct() )
 				{
-					SetError();
+					compiler.errorMessenger.OutputFatalError();
 				}
 
@@ -985,5 +985,5 @@
 	}
 
-	SetError();
+	compiler.errorMessenger.OutputFatalError();
 	return;
 }
@@ -1002,5 +1002,5 @@
 	}
 
-	SetError();
+	compiler.errorMessenger.OutputFatalError();
 	return 0;
 }
@@ -1014,5 +1014,5 @@
 	if( vtblMasterListOffset == -1 )
 	{
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 
@@ -1042,5 +1042,5 @@
 	if( vtblMasterList.size() )
 	{
-		SetError();
+		compiler.errorMessenger.OutputFatalError();
 	}
 
@@ -1062,5 +1062,5 @@
 			if( this->comVtblOffset )
 			{
-				SetError();
+				compiler.errorMessenger.OutputFatalError();
 			}
 			this->comVtblOffset = tempVtblOffset;
@@ -1167,5 +1167,5 @@
 	if( !Put( pClass ) )
 	{
-		SetError(15,pClass->GetName(), nowLine);
+		compiler.errorMessenger.Output(15,pClass->GetName(), nowLine);
 		return false;
 	}
@@ -1465,5 +1465,5 @@
 			pCompilingMethod = pParentClass->GetStaticMethods().GetMethodPtr( pUserProc );
 			if( !pCompilingMethod ){
-				SetError();
+				compiler.errorMessenger.OutputFatalError();
 			}
 		}
@@ -1482,5 +1482,5 @@
 		if( !pStringClass )
 		{
-			SetError(400, "System.String", cp);
+			compiler.errorMessenger.Output(400, "System.String", cp);
 			static CClass dummy;
 			return &dummy;
@@ -1498,5 +1498,5 @@
 		if( !pObjectClass )
 		{
-			SetError(400, "System.Object", cp);
+			compiler.errorMessenger.Output(400, "System.Object", cp);
 			static CClass dummy;
 			return &dummy;
@@ -1514,5 +1514,5 @@
 		if( !pInterfaceInfo )
 		{
-			SetError(400, "ActiveBasic.Core.InterfaceInfo", cp);
+			compiler.errorMessenger.Output(400, "ActiveBasic.Core.InterfaceInfo", cp);
 			static CClass dummy;
 			return &dummy;
